Skip to main content
POST
Create Config Version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

component_id
string
required

Component ID

Body

application/json

Config data

config
Config · object
required

The configuration data

version
integer | null

Optional version number

label
string | null

Optional label (e.g., 'stable')

stage
string
default:draft

Stage: 'draft' or 'published'

notes
string | null

Optional notes

Optional links to child components

set_current
boolean
default:true

Set as current version

Response

Successful Response

component_id
string
required
version
integer
required
stage
string
required
config
Config · object
required
created_at
integer
required
label
string | null
notes
string | null
updated_at
integer | null